Index: uspace/lib/c/arch/abs32le/include/libarch/elf_linux.h
===================================================================
--- uspace/lib/c/arch/abs32le/include/libarch/elf_linux.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/arch/abs32le/include/libarch/elf_linux.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -37,5 +37,4 @@
 
 #include <libarch/istate.h>
-#include <sys/types.h>
 
 typedef struct {
Index: uspace/lib/c/arch/abs32le/include/libarch/fibril.h
===================================================================
--- uspace/lib/c/arch/abs32le/include/libarch/fibril.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/arch/abs32le/include/libarch/fibril.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -36,5 +36,5 @@
 #define LIBC_abs32le_FIBRIL_H_
 
-#include <sys/types.h>
+#include <stdint.h>
 
 #define SP_DELTA  0
Index: uspace/lib/c/arch/abs32le/include/libarch/syscall.h
===================================================================
--- uspace/lib/c/arch/abs32le/include/libarch/syscall.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/arch/abs32le/include/libarch/syscall.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -37,6 +37,6 @@
 #define LIBC_abs32le_SYSCALL_H_
 
-#include <sys/types.h>
 #include <abi/syscall.h>
+#include <libarch/types.h>
 
 #define __syscall0  __syscall
Index: uspace/lib/c/arch/abs32le/src/stacktrace.c
===================================================================
--- uspace/lib/c/arch/abs32le/src/stacktrace.c	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/arch/abs32le/src/stacktrace.c	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -30,5 +30,5 @@
  */
 
-#include <sys/types.h>
+#include <stdint.h>
 #include <stdbool.h>
 #include <stddef.h>
Index: uspace/lib/c/arch/abs32le/src/syscall.c
===================================================================
--- uspace/lib/c/arch/abs32le/src/syscall.c	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/arch/abs32le/src/syscall.c	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -30,5 +30,4 @@
  */
 
-#include <sys/types.h>
 #include <libarch/syscall.h>
 
Index: uspace/lib/c/arch/abs32le/src/tls.c
===================================================================
--- uspace/lib/c/arch/abs32le/src/tls.c	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/arch/abs32le/src/tls.c	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -31,5 +31,6 @@
 
 #include <tls.h>
-#include <sys/types.h>
+#include <stddef.h>
+#include <stdint.h>
 
 tcb_t * tls_alloc_arch(void **data, size_t size)
Index: uspace/lib/c/arch/amd64/include/libarch/elf_linux.h
===================================================================
--- uspace/lib/c/arch/amd64/include/libarch/elf_linux.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/arch/amd64/include/libarch/elf_linux.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -37,5 +37,5 @@
 
 #include <libarch/istate.h>
-#include <sys/types.h>
+#include <stdint.h>
 
 /** Linux kernel struct pt_regs structure.
Index: uspace/lib/c/arch/amd64/include/libarch/fibril_context.ag
===================================================================
--- uspace/lib/c/arch/amd64/include/libarch/fibril_context.ag	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/arch/amd64/include/libarch/fibril_context.ag	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -31,6 +31,9 @@
         includes : [
                 {
-                        include : <sys/types.h>
-                }
+                        include : <stddef.h>
+                },
+                {
+                        include : <stdint.h>
+                },
         ],
 
Index: uspace/lib/c/arch/amd64/src/stacktrace.c
===================================================================
--- uspace/lib/c/arch/amd64/src/stacktrace.c	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/arch/amd64/src/stacktrace.c	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -35,5 +35,5 @@
  */
 
-#include <sys/types.h>
+#include <stdint.h>
 #include <stdbool.h>
 
Index: uspace/lib/c/arch/amd64/src/tls.c
===================================================================
--- uspace/lib/c/arch/amd64/src/tls.c	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/arch/amd64/src/tls.c	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -36,5 +36,5 @@
 
 #include <tls.h>
-#include <sys/types.h>
+#include <stddef.h>
 
 tcb_t *tls_alloc_arch(void **data, size_t size)
Index: uspace/lib/c/arch/arm32/include/libarch/atomic.h
===================================================================
--- uspace/lib/c/arch/arm32/include/libarch/atomic.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/arch/arm32/include/libarch/atomic.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -42,5 +42,5 @@
 #include <atomicdflt.h>
 #include <stdbool.h>
-#include <sys/types.h>
+#include <stdint.h>
 
 extern uintptr_t *ras_page;
Index: uspace/lib/c/arch/arm32/include/libarch/elf_linux.h
===================================================================
--- uspace/lib/c/arch/arm32/include/libarch/elf_linux.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/arch/arm32/include/libarch/elf_linux.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -37,5 +37,5 @@
 
 #include <libarch/istate.h>
-#include <sys/types.h>
+#include <stdint.h>
 
 /** Linux kernel struct pt_regs structure.
Index: uspace/lib/c/arch/arm32/include/libarch/fibril.h
===================================================================
--- uspace/lib/c/arch/arm32/include/libarch/fibril.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/arch/arm32/include/libarch/fibril.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -37,5 +37,5 @@
 #define LIBC_arm32_FIBRIL_H_
 
-#include <sys/types.h>
+#include <libarch/types.h>
 #include <align.h>
 #include <thread.h>
Index: uspace/lib/c/arch/arm32/include/libarch/fibril_context.ag
===================================================================
--- uspace/lib/c/arch/arm32/include/libarch/fibril_context.ag	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/arch/arm32/include/libarch/fibril_context.ag	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -31,6 +31,9 @@
         includes : [
                 {
-                        include : <sys/types.h>
+                        include : <stddef.h>
                 },
+                {
+                        include : <stdint.h>
+                }
         ],
 
Index: uspace/lib/c/arch/arm32/include/libarch/tls.h
===================================================================
--- uspace/lib/c/arch/arm32/include/libarch/tls.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/arch/arm32/include/libarch/tls.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -37,5 +37,5 @@
 #define LIBC_arm32_TLS_H_
 
-#include <sys/types.h>
+#include <stdint.h>
 
 #define CONFIG_TLS_VARIANT_1
Index: uspace/lib/c/arch/arm32/src/stacktrace.c
===================================================================
--- uspace/lib/c/arch/arm32/src/stacktrace.c	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/arch/arm32/src/stacktrace.c	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -35,5 +35,5 @@
  */
 
-#include <sys/types.h>
+#include <stdint.h>
 #include <stdbool.h>
 
Index: uspace/lib/c/arch/arm32/src/tls.c
===================================================================
--- uspace/lib/c/arch/arm32/src/tls.c	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/arch/arm32/src/tls.c	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -36,5 +36,5 @@
 
 #include <tls.h>
-#include <sys/types.h>
+#include <stddef.h>
 
 tcb_t *tls_alloc_arch(void **data, size_t size)
Index: uspace/lib/c/arch/ia32/include/libarch/elf_linux.h
===================================================================
--- uspace/lib/c/arch/ia32/include/libarch/elf_linux.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/arch/ia32/include/libarch/elf_linux.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -37,5 +37,5 @@
 
 #include <libarch/istate.h>
-#include <sys/types.h>
+#include <stdint.h>
 
 /** Linux kernel struct pt_regs structure.
Index: uspace/lib/c/arch/ia32/include/libarch/fibril.h
===================================================================
--- uspace/lib/c/arch/ia32/include/libarch/fibril.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/arch/ia32/include/libarch/fibril.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -36,5 +36,5 @@
 #define LIBC_ia32_FIBRIL_H_
 
-#include <sys/types.h>
+#include <libarch/types.h>
 #include <libarch/fibril_context.h>
 
Index: uspace/lib/c/arch/ia32/include/libarch/fibril_context.ag
===================================================================
--- uspace/lib/c/arch/ia32/include/libarch/fibril_context.ag	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/arch/ia32/include/libarch/fibril_context.ag	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -31,5 +31,8 @@
         includes : [
                 {
-                        include : <sys/types.h>
+                        include : <stddef.h>
+                },
+                {
+                        include : <stdint.h>
                 }
         ],
Index: uspace/lib/c/arch/ia32/include/libarch/rtld/dynamic.h
===================================================================
--- uspace/lib/c/arch/ia32/include/libarch/rtld/dynamic.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/arch/ia32/include/libarch/rtld/dynamic.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -36,6 +36,4 @@
 #define LIBC_ia32_RTLD_DYNAMIC_H_
 
-#include <sys/types.h>
-
 typedef struct {
 	/* Empty. */
Index: uspace/lib/c/arch/ia32/include/libarch/syscall.h
===================================================================
--- uspace/lib/c/arch/ia32/include/libarch/syscall.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/arch/ia32/include/libarch/syscall.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -37,6 +37,6 @@
 #define LIBC_ia32_SYSCALL_H_
 
-#include <sys/types.h>
 #include <abi/syscall.h>
+#include <libarch/types.h>
 
 #define __syscall0  __syscall_fast_func
Index: uspace/lib/c/arch/ia32/src/stacktrace.c
===================================================================
--- uspace/lib/c/arch/ia32/src/stacktrace.c	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/arch/ia32/src/stacktrace.c	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -36,5 +36,5 @@
 
 #include <libarch/config.h>
-#include <sys/types.h>
+#include <stdint.h>
 #include <stdbool.h>
 #include <stacktrace.h>
Index: uspace/lib/c/arch/ia32/src/tls.c
===================================================================
--- uspace/lib/c/arch/ia32/src/tls.c	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/arch/ia32/src/tls.c	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -37,5 +37,6 @@
 
 #include <tls.h>
-#include <sys/types.h>
+#include <stddef.h>
+#include <stdint.h>
 #include <align.h>
 
Index: uspace/lib/c/arch/ia64/include/libarch/elf_linux.h
===================================================================
--- uspace/lib/c/arch/ia64/include/libarch/elf_linux.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/arch/ia64/include/libarch/elf_linux.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -37,5 +37,5 @@
 
 #include <libarch/istate.h>
-#include <sys/types.h>
+#include <stdint.h>
 
 typedef struct {
Index: uspace/lib/c/arch/ia64/include/libarch/fibril.h
===================================================================
--- uspace/lib/c/arch/ia64/include/libarch/fibril.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/arch/ia64/include/libarch/fibril.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -36,5 +36,5 @@
 #define LIBC_ia64_FIBRIL_H_
 
-#include <sys/types.h>
+#include <stdint.h>
 #include <align.h>
 #include <libarch/stack.h>
Index: uspace/lib/c/arch/ia64/include/libarch/fibril_context.ag
===================================================================
--- uspace/lib/c/arch/ia64/include/libarch/fibril_context.ag	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/arch/ia64/include/libarch/fibril_context.ag	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -31,5 +31,8 @@
         includes : [
                 {
-                        include : <sys/types.h>
+                        include : <stddef.h>
+                },
+                {
+                        include : <stdint.h>
                 }
         ],
Index: uspace/lib/c/arch/ia64/include/libarch/tls.h
===================================================================
--- uspace/lib/c/arch/ia64/include/libarch/tls.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/arch/ia64/include/libarch/tls.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -38,5 +38,4 @@
 #define CONFIG_TLS_VARIANT_1
 
-#include <sys/types.h>
 
 /* This structure must be exactly 16 bytes long */
Index: uspace/lib/c/arch/ia64/src/stacktrace.c
===================================================================
--- uspace/lib/c/arch/ia64/src/stacktrace.c	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/arch/ia64/src/stacktrace.c	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -35,5 +35,5 @@
  */
 
-#include <sys/types.h>
+#include <stdint.h>
 #include <stdbool.h>
 #include <errno.h>
Index: uspace/lib/c/arch/mips32/include/libarch/elf_linux.h
===================================================================
--- uspace/lib/c/arch/mips32/include/libarch/elf_linux.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/arch/mips32/include/libarch/elf_linux.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -37,5 +37,5 @@
 
 #include <libarch/istate.h>
-#include <sys/types.h>
+#include <stdint.h>
 
 /** Linux kernel struct pt_regs structure.
Index: uspace/lib/c/arch/mips32/include/libarch/fibril.h
===================================================================
--- uspace/lib/c/arch/mips32/include/libarch/fibril.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/arch/mips32/include/libarch/fibril.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -37,5 +37,5 @@
 #define LIBC_mips32_FIBRIL_H_
 
-#include <sys/types.h>
+#include <stdint.h>
 #include <libarch/fibril_context.h>
 #include <libarch/stack.h>
Index: uspace/lib/c/arch/mips32/include/libarch/fibril_context.ag
===================================================================
--- uspace/lib/c/arch/mips32/include/libarch/fibril_context.ag	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/arch/mips32/include/libarch/fibril_context.ag	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -31,5 +31,8 @@
         includes : [
                 {
-                        include : <sys/types.h>
+                        include : <stddef.h>
+                },
+                {
+                        include : <stdint.h>
                 }
         ],
Index: uspace/lib/c/arch/mips32/src/stacktrace.c
===================================================================
--- uspace/lib/c/arch/mips32/src/stacktrace.c	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/arch/mips32/src/stacktrace.c	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -35,5 +35,5 @@
  */
 
-#include <sys/types.h>
+#include <stdint.h>
 #include <stdbool.h>
 #include <errno.h>
Index: uspace/lib/c/arch/mips32/src/tls.c
===================================================================
--- uspace/lib/c/arch/mips32/src/tls.c	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/arch/mips32/src/tls.c	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -35,5 +35,5 @@
 
 #include <tls.h>
-#include <sys/types.h>
+#include <stddef.h>
 
 tcb_t * tls_alloc_arch(void **data, size_t size)
Index: uspace/lib/c/arch/ppc32/include/libarch/elf_linux.h
===================================================================
--- uspace/lib/c/arch/ppc32/include/libarch/elf_linux.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/arch/ppc32/include/libarch/elf_linux.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -37,5 +37,5 @@
 
 #include <libarch/istate.h>
-#include <sys/types.h>
+#include <stdint.h>
 
 /** Linux kernel struct pt_regs structure.
Index: uspace/lib/c/arch/ppc32/include/libarch/fibril.h
===================================================================
--- uspace/lib/c/arch/ppc32/include/libarch/fibril.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/arch/ppc32/include/libarch/fibril.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -36,5 +36,5 @@
 #define LIBC_ppc32_FIBRIL_H_
 
-#include <sys/types.h>
+#include <stdint.h>
 #include <libarch/fibril_context.h>
 
Index: uspace/lib/c/arch/ppc32/include/libarch/fibril_context.ag
===================================================================
--- uspace/lib/c/arch/ppc32/include/libarch/fibril_context.ag	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/arch/ppc32/include/libarch/fibril_context.ag	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -31,5 +31,8 @@
         includes : [
                 {
-                        include : <sys/types.h>
+                        include : <stddef.h>
+                },
+                {
+                        include : <stdint.h>
                 }
         ],
Index: uspace/lib/c/arch/ppc32/src/stacktrace.c
===================================================================
--- uspace/lib/c/arch/ppc32/src/stacktrace.c	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/arch/ppc32/src/stacktrace.c	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -35,5 +35,5 @@
  */
 
-#include <sys/types.h>
+#include <stdint.h>
 #include <stdbool.h>
 
Index: uspace/lib/c/arch/ppc32/src/tls.c
===================================================================
--- uspace/lib/c/arch/ppc32/src/tls.c	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/arch/ppc32/src/tls.c	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -34,5 +34,5 @@
 
 #include <tls.h>
-#include <sys/types.h>
+#include <stddef.h>
 
 tcb_t *tls_alloc_arch(void **data, size_t size)
Index: uspace/lib/c/arch/riscv64/include/libarch/elf_linux.h
===================================================================
--- uspace/lib/c/arch/riscv64/include/libarch/elf_linux.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/arch/riscv64/include/libarch/elf_linux.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -37,5 +37,4 @@
 
 #include <libarch/istate.h>
-#include <sys/types.h>
 
 typedef struct {
Index: uspace/lib/c/arch/riscv64/include/libarch/fibril.h
===================================================================
--- uspace/lib/c/arch/riscv64/include/libarch/fibril.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/arch/riscv64/include/libarch/fibril.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -36,5 +36,5 @@
 #define LIBC_riscv64_FIBRIL_H_
 
-#include <sys/types.h>
+#include <stdint.h>
 
 #define SP_DELTA  0
Index: uspace/lib/c/arch/riscv64/include/libarch/fibril_context.ag
===================================================================
--- uspace/lib/c/arch/riscv64/include/libarch/fibril_context.ag	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/arch/riscv64/include/libarch/fibril_context.ag	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -32,5 +32,8 @@
         includes : [
                 {
-                        include : <sys/types.h>
+                        include : <stddef.h>
+                },
+                {
+                        include : <stdint.h>
                 }
         ],
Index: uspace/lib/c/arch/riscv64/include/libarch/syscall.h
===================================================================
--- uspace/lib/c/arch/riscv64/include/libarch/syscall.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/arch/riscv64/include/libarch/syscall.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -37,5 +37,4 @@
 #define LIBC_riscv64_SYSCALL_H_
 
-#include <sys/types.h>
 #include <abi/syscall.h>
 
Index: uspace/lib/c/arch/riscv64/src/stacktrace.c
===================================================================
--- uspace/lib/c/arch/riscv64/src/stacktrace.c	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/arch/riscv64/src/stacktrace.c	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -30,5 +30,5 @@
  */
 
-#include <sys/types.h>
+#include <stdint.h>
 #include <stdbool.h>
 #include <stacktrace.h>
Index: uspace/lib/c/arch/riscv64/src/syscall.c
===================================================================
--- uspace/lib/c/arch/riscv64/src/syscall.c	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/arch/riscv64/src/syscall.c	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -30,5 +30,4 @@
  */
 
-#include <sys/types.h>
 #include <libarch/syscall.h>
 
Index: uspace/lib/c/arch/riscv64/src/tls.c
===================================================================
--- uspace/lib/c/arch/riscv64/src/tls.c	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/arch/riscv64/src/tls.c	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -31,5 +31,5 @@
 
 #include <tls.h>
-#include <sys/types.h>
+#include <stddef.h>
 
 tcb_t *tls_alloc_arch(void **data, size_t size)
Index: uspace/lib/c/arch/sparc64/include/libarch/atomic.h
===================================================================
--- uspace/lib/c/arch/sparc64/include/libarch/atomic.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/arch/sparc64/include/libarch/atomic.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -39,5 +39,5 @@
 
 #include <atomicdflt.h>
-#include <sys/types.h>
+#include <stdint.h>
 
 /** Atomic add operation.
Index: uspace/lib/c/arch/sparc64/include/libarch/elf_linux.h
===================================================================
--- uspace/lib/c/arch/sparc64/include/libarch/elf_linux.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/arch/sparc64/include/libarch/elf_linux.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -37,5 +37,5 @@
 
 #include <libarch/istate.h>
-#include <sys/types.h>
+#include <stdint.h>
 
 typedef struct {
Index: uspace/lib/c/arch/sparc64/include/libarch/fibril.h
===================================================================
--- uspace/lib/c/arch/sparc64/include/libarch/fibril.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/arch/sparc64/include/libarch/fibril.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -38,5 +38,5 @@
 #include <libarch/stack.h>
 #include <libarch/fibril_context.h>
-#include <sys/types.h>
+#include <stdint.h>
 #include <align.h>
 
Index: uspace/lib/c/arch/sparc64/include/libarch/fibril_context.ag
===================================================================
--- uspace/lib/c/arch/sparc64/include/libarch/fibril_context.ag	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/arch/sparc64/include/libarch/fibril_context.ag	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -31,5 +31,8 @@
         includes : [
                 {
-                        include : <sys/types.h>
+                        include : <stddef.h>
+                },
+                {
+                        include : <stdint.h>
                 }
         ],
Index: uspace/lib/c/arch/sparc64/include/libarch/syscall.h
===================================================================
--- uspace/lib/c/arch/sparc64/include/libarch/syscall.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/arch/sparc64/include/libarch/syscall.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -36,6 +36,7 @@
 #define LIBC_sparc64_SYSCALL_H_
 
-#include <sys/types.h>
+#include <stdint.h>
 #include <abi/syscall.h>
+#include <libarch/types.h>
 
 #define __syscall0	__syscall
Index: uspace/lib/c/arch/sparc64/src/stacktrace.c
===================================================================
--- uspace/lib/c/arch/sparc64/src/stacktrace.c	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/arch/sparc64/src/stacktrace.c	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -34,5 +34,5 @@
  */
 
-#include <sys/types.h>
+#include <stdint.h>
 #include <stdbool.h>
 #include <libarch/stack.h>
Index: uspace/lib/c/arch/sparc64/src/tls.c
===================================================================
--- uspace/lib/c/arch/sparc64/src/tls.c	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/arch/sparc64/src/tls.c	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -36,5 +36,5 @@
 
 #include <tls.h>
-#include <sys/types.h>
+#include <stddef.h>
 
 tcb_t *tls_alloc_arch(void **data, size_t size)
Index: uspace/lib/c/generic/as.c
===================================================================
--- uspace/lib/c/generic/as.c	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/generic/as.c	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -37,5 +37,6 @@
 #include <errno.h>
 #include <align.h>
-#include <sys/types.h>
+#include <stddef.h>
+#include <stdint.h>
 #include <bitops.h>
 #include <malloc.h>
Index: uspace/lib/c/generic/bd.c
===================================================================
--- uspace/lib/c/generic/bd.c	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/generic/bd.c	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -44,4 +44,5 @@
 #include <macros.h>
 #include <stdlib.h>
+#include <sys/types.h>
 
 static void bd_cb_conn(ipc_callid_t iid, ipc_call_t *icall, void *arg);
Index: uspace/lib/c/generic/bd_srv.c
===================================================================
--- uspace/lib/c/generic/bd_srv.c	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/generic/bd_srv.c	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -38,5 +38,6 @@
 #include <macros.h>
 #include <stdlib.h>
-#include <sys/types.h>
+#include <stddef.h>
+#include <stdint.h>
 
 #include <bd_srv.h>
Index: uspace/lib/c/generic/cap.c
===================================================================
--- uspace/lib/c/generic/cap.c	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/generic/cap.c	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -38,4 +38,5 @@
 #include <task.h>
 #include <libc.h>
+#include <libarch/types.h>
 
 /** Grant capabilities to a task.
Index: uspace/lib/c/generic/dirent.c
===================================================================
--- uspace/lib/c/generic/dirent.c	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/generic/dirent.c	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -36,5 +36,5 @@
 #include <stdlib.h>
 #include <dirent.h>
-#include <sys/types.h>
+#include <stddef.h>
 #include <errno.h>
 #include <assert.h>
Index: uspace/lib/c/generic/elf/elf_mod.c
===================================================================
--- uspace/lib/c/generic/elf/elf_mod.c	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/generic/elf/elf_mod.c	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -47,5 +47,6 @@
 #include <stdio.h>
 #include <vfs/vfs.h>
-#include <sys/types.h>
+#include <stddef.h>
+#include <stdint.h>
 #include <align.h>
 #include <assert.h>
Index: uspace/lib/c/generic/io/chardev_srv.c
===================================================================
--- uspace/lib/c/generic/io/chardev_srv.c	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/generic/io/chardev_srv.c	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -39,5 +39,5 @@
 #include <macros.h>
 #include <stdlib.h>
-#include <sys/types.h>
+#include <stddef.h>
 
 static chardev_srv_t *chardev_srv_create(chardev_srvs_t *);
Index: uspace/lib/c/generic/io/con_srv.c
===================================================================
--- uspace/lib/c/generic/io/con_srv.c	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/generic/io/con_srv.c	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -38,5 +38,5 @@
 #include <ipc/console.h>
 #include <stdlib.h>
-#include <sys/types.h>
+#include <stddef.h>
 
 #include <io/con_srv.h>
Index: uspace/lib/c/generic/io/kio.c
===================================================================
--- uspace/lib/c/generic/io/kio.c	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/generic/io/kio.c	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -37,5 +37,5 @@
 #include <libc.h>
 #include <str.h>
-#include <sys/types.h>
+#include <stdint.h>
 #include <errno.h>
 #include <abi/kio.h>
Index: uspace/lib/c/generic/io/klog.c
===================================================================
--- uspace/lib/c/generic/io/klog.c	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/generic/io/klog.c	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -35,5 +35,6 @@
 #include <libc.h>
 #include <str.h>
-#include <sys/types.h>
+#include <stddef.h>
+#include <stdint.h>
 #include <errno.h>
 #include <abi/klog.h>
Index: uspace/lib/c/generic/iplink_srv.c
===================================================================
--- uspace/lib/c/generic/iplink_srv.c	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/generic/iplink_srv.c	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -38,5 +38,5 @@
 #include <ipc/iplink.h>
 #include <stdlib.h>
-#include <sys/types.h>
+#include <stddef.h>
 #include <inet/addr.h>
 #include <inet/iplink_srv.h>
Index: uspace/lib/c/generic/mem.c
===================================================================
--- uspace/lib/c/generic/mem.c	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/generic/mem.c	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -36,5 +36,6 @@
 #include <mem.h>
 #include <stdlib.h>
-#include <sys/types.h>
+#include <stddef.h>
+#include <stdint.h>
 
 /** Fill memory block with a constant value. */
Index: uspace/lib/c/generic/smc.c
===================================================================
--- uspace/lib/c/generic/smc.c	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/generic/smc.c	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -34,5 +34,5 @@
 
 #include <libc.h>
-#include <sys/types.h>
+#include <stddef.h>
 #include <smc.h>
 
Index: uspace/lib/c/generic/stacktrace.c
===================================================================
--- uspace/lib/c/generic/stacktrace.c	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/generic/stacktrace.c	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -37,5 +37,5 @@
 #include <stdio.h>
 #include <stddef.h>
-#include <sys/types.h>
+#include <stdint.h>
 #include <errno.h>
 
Index: uspace/lib/c/generic/udebug.c
===================================================================
--- uspace/lib/c/generic/udebug.c	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/generic/udebug.c	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -34,5 +34,6 @@
 
 #include <udebug.h>
-#include <sys/types.h>
+#include <stddef.h>
+#include <stdint.h>
 #include <abi/ipc/methods.h>
 #include <async.h>
Index: uspace/lib/c/generic/vfs/mtab.c
===================================================================
--- uspace/lib/c/generic/vfs/mtab.c	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/generic/vfs/mtab.c	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -38,5 +38,4 @@
 #include <stdlib.h>
 #include <dirent.h>
-#include <sys/types.h>
 #include <errno.h>
 #include <assert.h>
Index: uspace/lib/c/generic/vfs/vfs.c
===================================================================
--- uspace/lib/c/generic/vfs/vfs.c	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/generic/vfs/vfs.c	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -39,5 +39,6 @@
 #include <macros.h>
 #include <stdlib.h>
-#include <sys/types.h>
+#include <stddef.h>
+#include <stdint.h>
 #include <ipc/services.h>
 #include <ns.h>
Index: uspace/lib/c/include/adt/checksum.h
===================================================================
--- uspace/lib/c/include/adt/checksum.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/include/adt/checksum.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -36,5 +36,6 @@
 #define LIBC_CHECKSUM_H_
 
-#include <sys/types.h>
+#include <stddef.h>
+#include <stdint.h>
 
 extern uint32_t compute_crc32(uint8_t *, size_t);
Index: uspace/lib/c/include/adt/gcdlcm.h
===================================================================
--- uspace/lib/c/include/adt/gcdlcm.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/include/adt/gcdlcm.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -36,5 +36,6 @@
 #define LIBC_GCDLCM_H_
 
-#include <sys/types.h>
+#include <stddef.h>
+#include <stdint.h>
 
 #define DECLARE_GCD(type, name) \
Index: uspace/lib/c/include/as.h
===================================================================
--- uspace/lib/c/include/as.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/include/as.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -36,5 +36,7 @@
 #define LIBC_AS_H_
 
-#include <sys/types.h>
+#include <libarch/types.h>
+#include <stddef.h>
+#include <stdint.h>
 #include <abi/mm/as.h>
 #include <libarch/config.h>
Index: uspace/lib/c/include/bitops.h
===================================================================
--- uspace/lib/c/include/bitops.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/include/bitops.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -36,5 +36,6 @@
 #define LIBC_BITOPS_H_
 
-#include <sys/types.h>
+#include <stddef.h>
+#include <stdint.h>
 
 /** Mask with bit @a n set. */
Index: uspace/lib/c/include/elf/elf.h
===================================================================
--- uspace/lib/c/include/elf/elf.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/include/elf/elf.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -36,5 +36,6 @@
 #define LIBC_ELF_H_
 
-#include <sys/types.h>
+#include <stdint.h>
+#include <libarch/types.h>
 #include <abi/elf.h>
 #include <libarch/elf.h>
Index: uspace/lib/c/include/elf/elf_mod.h
===================================================================
--- uspace/lib/c/include/elf/elf_mod.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/include/elf/elf_mod.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -39,5 +39,6 @@
 
 #include <elf/elf.h>
-#include <sys/types.h>
+#include <stddef.h>
+#include <stdint.h>
 #include <loader/pcb.h>
 
Index: uspace/lib/c/include/futex.h
===================================================================
--- uspace/lib/c/include/futex.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/include/futex.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -37,5 +37,4 @@
 
 #include <atomic.h>
-#include <sys/types.h>
 #include <libc.h>
 
Index: uspace/lib/c/include/inet/dhcp.h
===================================================================
--- uspace/lib/c/include/inet/dhcp.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/include/inet/dhcp.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -36,5 +36,4 @@
 #define LIBC_INET_DHCP_H_
 
-#include <sys/types.h>
 
 extern int dhcp_init(void);
Index: uspace/lib/c/include/inet/inet.h
===================================================================
--- uspace/lib/c/include/inet/inet.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/include/inet/inet.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -38,5 +38,5 @@
 #include <inet/addr.h>
 #include <ipc/loc.h>
-#include <sys/types.h>
+#include <stdint.h>
 #include <types/inet.h>
 
Index: uspace/lib/c/include/inet/inetcfg.h
===================================================================
--- uspace/lib/c/include/inet/inetcfg.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/include/inet/inetcfg.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -37,5 +37,5 @@
 
 #include <inet/inet.h>
-#include <sys/types.h>
+#include <stddef.h>
 #include <types/inetcfg.h>
 
Index: uspace/lib/c/include/inet/inetping.h
===================================================================
--- uspace/lib/c/include/inet/inetping.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/include/inet/inetping.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -37,5 +37,4 @@
 
 #include <inet/inet.h>
-#include <sys/types.h>
 #include <types/inetping.h>
 
Index: uspace/lib/c/include/io/chardev_srv.h
===================================================================
--- uspace/lib/c/include/io/chardev_srv.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/include/io/chardev_srv.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -40,5 +40,5 @@
 #include <fibril_synch.h>
 #include <stdbool.h>
-#include <sys/types.h>
+#include <stddef.h>
 
 typedef struct chardev_ops chardev_ops_t;
Index: uspace/lib/c/include/io/charfield.h
===================================================================
--- uspace/lib/c/include/io/charfield.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/include/io/charfield.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -37,5 +37,4 @@
 #define LIBC_IO_CHARFIELD_H_
 
-#include <sys/types.h>
 #include <stdbool.h>
 #include <io/color.h>
Index: uspace/lib/c/include/io/chargrid.h
===================================================================
--- uspace/lib/c/include/io/chargrid.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/include/io/chargrid.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -37,5 +37,5 @@
 #define LIBC_IO_CHARGRID_H_
 
-#include <sys/types.h>
+#include <stddef.h>
 #include <io/charfield.h>
 
Index: uspace/lib/c/include/io/con_srv.h
===================================================================
--- uspace/lib/c/include/io/con_srv.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/include/io/con_srv.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -46,5 +46,5 @@
 #include <stdbool.h>
 #include <sys/time.h>
-#include <sys/types.h>
+#include <stddef.h>
 
 typedef struct con_ops con_ops_t;
Index: uspace/lib/c/include/io/input.h
===================================================================
--- uspace/lib/c/include/io/input.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/include/io/input.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -38,5 +38,4 @@
 #include <async.h>
 #include <io/kbd_event.h>
-#include <sys/types.h>
 
 struct input_ev_ops;
Index: uspace/lib/c/include/io/kio.h
===================================================================
--- uspace/lib/c/include/io/kio.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/include/io/kio.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -36,5 +36,5 @@
 #define LIBC_IO_KIO_H_
 
-#include <sys/types.h>
+#include <stddef.h>
 #include <stdarg.h>
 #include <io/verify.h>
Index: uspace/lib/c/include/io/klog.h
===================================================================
--- uspace/lib/c/include/io/klog.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/include/io/klog.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -36,5 +36,5 @@
 #define LIBC_IO_KLOG_H_
 
-#include <sys/types.h>
+#include <stddef.h>
 #include <stdarg.h>
 #include <io/verify.h>
Index: uspace/lib/c/include/io/log.h
===================================================================
--- uspace/lib/c/include/io/log.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/include/io/log.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -38,4 +38,5 @@
 #include <inttypes.h>
 #include <io/verify.h>
+#include <libarch/types.h>
 
 #include <abi/log.h>
Index: uspace/lib/c/include/io/mode.h
===================================================================
--- uspace/lib/c/include/io/mode.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/include/io/mode.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -38,5 +38,4 @@
 
 #include <abi/fb/visuals.h>
-#include <sys/types.h>
 #include <adt/list.h>
 #include <io/pixel.h>
Index: uspace/lib/c/include/io/pixel.h
===================================================================
--- uspace/lib/c/include/io/pixel.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/include/io/pixel.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -37,5 +37,5 @@
 #define LIBC_IO_PIXEL_H_
 
-#include <sys/types.h>
+#include <stdint.h>
 
 #define NARROW(channel, bits) \
Index: uspace/lib/c/include/io/pixelmap.h
===================================================================
--- uspace/lib/c/include/io/pixelmap.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/include/io/pixelmap.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -38,5 +38,4 @@
 #define LIBC_IO_PIXELMAP_H_
 
-#include <sys/types.h>
 #include <stddef.h>
 #include <io/pixel.h>
Index: uspace/lib/c/include/io/pos_event.h
===================================================================
--- uspace/lib/c/include/io/pos_event.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/include/io/pos_event.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -37,5 +37,4 @@
 #define LIBC_IO_POS_EVENT_H_
 
-#include <sys/types.h>
 
 typedef enum {
Index: uspace/lib/c/include/io/printf_core.h
===================================================================
--- uspace/lib/c/include/io/printf_core.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/include/io/printf_core.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -36,5 +36,5 @@
 #define LIBC_PRINTF_CORE_H_
 
-#include <sys/types.h>
+#include <stddef.h>
 #include <stdarg.h>
 
Index: uspace/lib/c/include/io/visualizer.h
===================================================================
--- uspace/lib/c/include/io/visualizer.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/include/io/visualizer.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -36,5 +36,4 @@
 #define LIBC_IO_VISUALIZER_H_
 
-#include <sys/types.h>
 #include <async.h>
 #include <io/mode.h>
Index: uspace/lib/c/include/io/window.h
===================================================================
--- uspace/lib/c/include/io/window.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/include/io/window.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -37,5 +37,4 @@
 
 #include <stdbool.h>
-#include <sys/types.h>
 #include <async.h>
 #include <loc.h>
Index: uspace/lib/c/include/ipc/common.h
===================================================================
--- uspace/lib/c/include/ipc/common.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/include/ipc/common.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -36,5 +36,4 @@
 #define LIBC_IPC_COMMON_H_
 
-#include <sys/types.h>
 #include <abi/ipc/ipc.h>
 #include <atomic.h>
Index: uspace/lib/c/include/ipc/ipc.h
===================================================================
--- uspace/lib/c/include/ipc/ipc.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/include/ipc/ipc.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -40,5 +40,4 @@
 #define LIBC_IPC_H_
 
-#include <sys/types.h>
 #include <ipc/common.h>
 #include <abi/ipc/methods.h>
Index: uspace/lib/c/include/ipc/irq.h
===================================================================
--- uspace/lib/c/include/ipc/irq.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/include/ipc/irq.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -36,5 +36,5 @@
 #define LIBC_IPC_IRQ_H_
 
-#include <sys/types.h>
+#include <libarch/types.h>
 #include <abi/ddi/irq.h>
 
Index: uspace/lib/c/include/ipc/services.h
===================================================================
--- uspace/lib/c/include/ipc/services.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/include/ipc/services.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -38,5 +38,4 @@
 #define LIBC_SERVICES_H_
 
-#include <sys/types.h>
 #include <abi/fourcc.h>
 
Index: uspace/lib/c/include/ipc/vfs.h
===================================================================
--- uspace/lib/c/include/ipc/vfs.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/include/ipc/vfs.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -37,5 +37,5 @@
 
 #include <ipc/common.h>
-#include <sys/types.h>
+#include <stdint.h>
 #include <stdbool.h>
 
Index: uspace/lib/c/include/libc.h
===================================================================
--- uspace/lib/c/include/libc.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/include/libc.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -36,5 +36,5 @@
 #define LIBC_LIBC_H_
 
-#include <sys/types.h>
+#include <stdint.h>
 #include <abi/syscall.h>
 #include <libarch/syscall.h>
Index: uspace/lib/c/include/loader/pcb.h
===================================================================
--- uspace/lib/c/include/loader/pcb.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/include/loader/pcb.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -37,5 +37,4 @@
 #define LIBC_PCB_H_
 
-#include <sys/types.h>
 
 typedef void (*entry_point_t)(void);
Index: uspace/lib/c/include/malloc.h
===================================================================
--- uspace/lib/c/include/malloc.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/include/malloc.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -36,5 +36,5 @@
 #define LIBC_MALLOC_H_
 
-#include <sys/types.h>
+#include <stddef.h>
 
 extern void *malloc(const size_t size)
Index: uspace/lib/c/include/mem.h
===================================================================
--- uspace/lib/c/include/mem.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/include/mem.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -36,5 +36,5 @@
 #define LIBC_MEM_H_
 
-#include <sys/types.h>
+#include <stddef.h>
 #include <cc.h>
 
Index: uspace/lib/c/include/nic/eth_phys.h
===================================================================
--- uspace/lib/c/include/nic/eth_phys.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/include/nic/eth_phys.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -31,5 +31,5 @@
 #define LIBC_NIC_ETH_PHYS_H_
 
-#include <sys/types.h>
+#include <stdint.h>
 
 /*****************************************************/
Index: uspace/lib/c/include/ns.h
===================================================================
--- uspace/lib/c/include/ns.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/include/ns.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -36,5 +36,4 @@
 #define LIBC_NS_H_
 
-#include <sys/types.h>
 #include <ipc/services.h>
 #include <task.h>
Index: uspace/lib/c/include/rtld/elf_dyn.h
===================================================================
--- uspace/lib/c/include/rtld/elf_dyn.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/include/rtld/elf_dyn.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -36,5 +36,4 @@
 #define LIBC_RTLD_ELF_DYN_H_
 
-#include <sys/types.h>
 #include <elf/elf.h>
 #include <libarch/rtld/elf_dyn.h>
Index: uspace/lib/c/include/rtld/module.h
===================================================================
--- uspace/lib/c/include/rtld/module.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/include/rtld/module.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -36,5 +36,4 @@
 #define LIBC_RTLD_MODULE_H_
 
-#include <sys/types.h>
 #include <rtld/dynamic.h>
 #include <adt/list.h>
Index: uspace/lib/c/include/rtld/rtld.h
===================================================================
--- uspace/lib/c/include/rtld/rtld.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/include/rtld/rtld.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -38,5 +38,4 @@
 #include <adt/list.h>
 #include <elf/elf_mod.h>
-#include <sys/types.h>
 
 #include <rtld/dynamic.h>
Index: uspace/lib/c/include/rwlock.h
===================================================================
--- uspace/lib/c/include/rwlock.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/include/rwlock.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -40,5 +40,4 @@
 
 #include <atomic.h>
-#include <sys/types.h>
 #include <futex.h>
 
Index: uspace/lib/c/include/smc.h
===================================================================
--- uspace/lib/c/include/smc.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/include/smc.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -36,5 +36,5 @@
 #define LIBC_SMC_H_
 
-#include <sys/types.h>
+#include <stddef.h>
 
 extern int smc_coherence(void *address, size_t size);
Index: uspace/lib/c/include/sort.h
===================================================================
--- uspace/lib/c/include/sort.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/include/sort.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -36,5 +36,5 @@
 #define LIBC_SORT_H_
 
-#include <sys/types.h>
+#include <stddef.h>
 #include <stdbool.h>
 
Index: uspace/lib/c/include/stacktrace.h
===================================================================
--- uspace/lib/c/include/stacktrace.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/include/stacktrace.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -37,5 +37,5 @@
 #define LIBC_STACKTRACE_H_
 
-#include <sys/types.h>
+#include <stdint.h>
 #include <stdbool.h>
 
Index: uspace/lib/c/include/stats.h
===================================================================
--- uspace/lib/c/include/stats.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/include/stats.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -40,5 +40,5 @@
 #include <stdint.h>
 #include <stdbool.h>
-#include <sys/types.h>
+#include <stddef.h>
 #include <abi/sysinfo.h>
 
Index: uspace/lib/c/include/stdarg.h
===================================================================
--- uspace/lib/c/include/stdarg.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/include/stdarg.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -36,5 +36,4 @@
 #define LIBC_STDARG_H_
 
-#include <sys/types.h>
 
 typedef __builtin_va_list va_list;
Index: uspace/lib/c/include/stddef.h
===================================================================
--- uspace/lib/c/include/stddef.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/include/stddef.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -36,5 +36,5 @@
 #define LIBC_STDDEF_H_
 
-#include <sys/types.h>
+#include <libarch/stddef.h>
 
 #ifndef NULL
Index: uspace/lib/c/include/str.h
===================================================================
--- uspace/lib/c/include/str.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/include/str.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -38,5 +38,6 @@
 
 #include <mem.h>
-#include <sys/types.h>
+#include <stddef.h>
+#include <stdint.h>
 #include <stdbool.h>
 
Index: uspace/lib/c/include/sys/time.h
===================================================================
--- uspace/lib/c/include/sys/time.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/include/sys/time.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -38,5 +38,6 @@
 #define LIBC_SYS_TIME_H_
 
-#include <sys/types.h>
+#include <stddef.h>
+#include <stdint.h>
 
 #define DST_NONE  0
Index: uspace/lib/c/include/syscall.h
===================================================================
--- uspace/lib/c/include/syscall.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/include/syscall.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -44,6 +44,6 @@
 #endif
 
-#include <sys/types.h>
 #include <abi/syscall.h>
+#include <libarch/types.h>
 
 #define __syscall0  __syscall
Index: uspace/lib/c/include/sysinfo.h
===================================================================
--- uspace/lib/c/include/sysinfo.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/include/sysinfo.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -36,5 +36,5 @@
 #define LIBC_SYSINFO_H_
 
-#include <sys/types.h>
+#include <stddef.h>
 #include <stdbool.h>
 #include <abi/sysinfo.h>
Index: uspace/lib/c/include/task.h
===================================================================
--- uspace/lib/c/include/task.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/include/task.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -36,7 +36,7 @@
 #define LIBC_TASK_H_
 
-#include <sys/types.h>
+#include <stdint.h>
+#include <stdarg.h>
 #include <abi/proc/task.h>
-#include <stdarg.h>
 #include <async.h>
 #include <types/task.h>
Index: uspace/lib/c/include/thread.h
===================================================================
--- uspace/lib/c/include/thread.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/include/thread.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -37,5 +37,5 @@
 
 #include <libarch/thread.h>
-#include <sys/types.h>
+#include <stdint.h>
 #include <abi/proc/thread.h>
 #include <time.h>
Index: uspace/lib/c/include/tls.h
===================================================================
--- uspace/lib/c/include/tls.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/include/tls.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -37,5 +37,6 @@
 
 #include <libarch/tls.h>
-#include <sys/types.h>
+#include <stddef.h>
+#include <stdint.h>
 
 /** DTV Generation number - equals vector length */
Index: uspace/lib/c/include/types/inet.h
===================================================================
--- uspace/lib/c/include/types/inet.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/include/types/inet.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -38,5 +38,6 @@
 #include <inet/addr.h>
 #include <ipc/loc.h>
-#include <sys/types.h>
+#include <stddef.h>
+#include <stdint.h>
 
 #define INET_TTL_MAX 255
Index: uspace/lib/c/include/types/inetcfg.h
===================================================================
--- uspace/lib/c/include/types/inetcfg.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/include/types/inetcfg.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -37,5 +37,5 @@
 
 #include <inet/inet.h>
-#include <sys/types.h>
+#include <stddef.h>
 
 /** Address object info */
Index: uspace/lib/c/include/types/inetping.h
===================================================================
--- uspace/lib/c/include/types/inetping.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/include/types/inetping.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -39,5 +39,6 @@
 
 #include <inet/addr.h>
-#include <sys/types.h>
+#include <stddef.h>
+#include <stdint.h>
 
 typedef struct {
Index: uspace/lib/c/include/types/rtld/module.h
===================================================================
--- uspace/lib/c/include/types/rtld/module.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/include/types/rtld/module.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -37,5 +37,5 @@
 
 #include <adt/list.h>
-#include <sys/types.h>
+#include <stddef.h>
 
 typedef enum {
Index: uspace/lib/c/include/types/rtld/rtld.h
===================================================================
--- uspace/lib/c/include/types/rtld/rtld.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/include/types/rtld/rtld.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -38,5 +38,6 @@
 #include <adt/list.h>
 #include <elf/elf_mod.h>
-#include <sys/types.h>
+#include <stddef.h>
+#include <stdint.h>
 
 #include <types/rtld/module.h>
Index: uspace/lib/c/include/udebug.h
===================================================================
--- uspace/lib/c/include/udebug.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/include/udebug.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -37,5 +37,6 @@
 
 #include <abi/udebug.h>
-#include <sys/types.h>
+#include <stddef.h>
+#include <stdint.h>
 #include <async.h>
 
Index: uspace/lib/c/include/vfs/canonify.h
===================================================================
--- uspace/lib/c/include/vfs/canonify.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/include/vfs/canonify.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -36,5 +36,5 @@
 #define LIBC_VFS_CANONIFY_H_
 
-#include <sys/types.h>
+#include <stddef.h>
 
 extern char *canonify(char *, size_t *);
Index: uspace/lib/c/include/vfs/vfs.h
===================================================================
--- uspace/lib/c/include/vfs/vfs.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/include/vfs/vfs.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -36,5 +36,6 @@
 #define LIBC_VFS_H_
 
-#include <sys/types.h>
+#include <stddef.h>
+#include <stdint.h>
 #include <ipc/vfs.h>
 #include <ipc/loc.h>
Index: uspace/lib/c/include/vfs/vfs_mtab.h
===================================================================
--- uspace/lib/c/include/vfs/vfs_mtab.h	(revision e48947e50a7052fa90231d75f84e7481c8c7d201)
+++ uspace/lib/c/include/vfs/vfs_mtab.h	(revision 8d2dd7f2d52fbc7693f94b66e451eeff3756d061)
@@ -36,5 +36,4 @@
 #define LIBC_VFS_MTAB_H_
 
-#include <sys/types.h>
 #include <ipc/vfs.h>
 #include <adt/list.h>
